API Reference
Events

Get Event Odds

Get Odds for an event

Endpoint overview

Retrieve event odds for a specific event and odds market type.

Use case: display market-specific pricing (for example, moneyline or spread) in a betting UI.

Route

GET /api/v1/public/events/{eventId}/{oddType}

Parameters (Overview)

NameInTypeRequiredDescription
eventIdpathstringYesThe id of the event for which the data should be returned.
oddTypepathstringYesOdd type for which the data should be returned.
exactasTypequerynumberNoExactas Type
overUnderSubMarketTypequerystringNoThe type of over/under to filter by (if oddType is overUnder).
GETHTTP Method

Return event-level betting markets for a single contest.

Parameters for Example Query

Edit path and query inputs below. These values auto-fill from the schema and immediately update the request URL and generated code examples.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Updated recently

Language

Credentials

X-API-KEY

Try it runs a real request through this site's proxy (avoids CORS). Pasting your key updates the cURL tab and is sent on Try it.

URL

Base URL
https://api.altsportsdata.com
curl -X GET "https://api.altsportsdata.com/api/v1/public/events/636d414b-8d24-49d2-a9d8-57ec650a4e0e/fastestLap?overUnderSubMarketType=finishingPosition"
Click Try it to send the active example request.
Response static example
{
  "publicId": "wsl:636d414b-8d24-49d2-a9d8-57ec650a4e0e",
  "eventId": "636d414b-8d24-49d2-a9d8-57ec650a4e0e",
  "numericEventId": 1174117206190029,
  "oddType": "eventWinner",
  "eventWinner": [
    {
      "athleteId": "athlete_01",
      "athleteName": "Surfer One",
      "americanOdds": -120,
      "decimalOdds": 1.83
    }
  ],
  "fastestLap": [],
  "secondPlace": [],
  "heatWinner": [],
  "headToHead": [],
  "propBets": [],
  "shows": [],
  "podiums": [],
  "dreamTeam": [],
  "eventExacta": [],
  "heatExacta": [],
  "raceTop10": [],
  "raceTop5": [],
  "overUnder": [],
  "multiOverUnder": []
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}
{
  "message": "string",
  "statusCode": 0,
  "timestamp": "string"
}